
QGIS Application - Bug report #17632

"money"  type (postgresql) interpreted as string 

2017-12-05 03:33 PM - Loïc BARTOLETTI

Status: Open

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25529

Description

In composer and virtual field, I have this error.

Try to add numeric fields and return NULL (decimal field for virtual field) or a string concatenation into composer.

History

#1 - 2017-12-05 03:58 PM - Harrissou Santanna

Could it have to do with the € suffix in the fields ?

#2 - 2017-12-05 04:10 PM - Loïc BARTOLETTI

Sorry it's Money type from postgis and not a numeric field.

#3 - 2017-12-05 07:52 PM - Giovanni Manghi

- Subject changed from Addition of numeric type (postgis) interpreted as string  to Addition of "money"  type (postgis) interpreted as string 

#4 - 2017-12-05 07:57 PM - Giovanni Manghi

- Subject changed from Addition of "money"  type (postgis) interpreted as string  to "money"  type (postgresql) interpreted as string 

#5 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-01-28 10:44 PM - Loïc BARTOLETTI

- Affected QGIS version changed from 2.18.14 to 3.5(master)

- Status changed from Feedback to Open

Confirmed in master
